import { LoggerMetadata, LoggerRegistry } from "./lib/core";
import { ArchDevLoggerError, UndefinedDefaultLoggerError } from "./lib/errors";
import { LoggerService } from "./lib/services";
import { ExtensibleLogger } from "./lib";
export { ILoggerProperties } from "./lib/core";
export { LoggerServiceConfig } from "./lib/services";
export declare const ArchDevLogger: {
    Core: {
        DefinedLoggerProperties: {
            level: string;
            levels: {
                error: number;
                warn: number;
                info: number;
                verbose: number;
                debug: number;
                silly: number;
            };
        };
        Loader: {
            loadLoggerModule: (val: {
                type: string;
                resource: string;
                options?: any;
            }) => any;
        };
        LoggerMetadata: typeof LoggerMetadata;
        LoggerRegistry: typeof LoggerRegistry;
        CommonLogLevels: {
            levels: {
                error: number;
                warn: number;
                info: number;
                verbose: number;
                debug: number;
                silly: number;
            };
            colors: {
                error: string;
                warn: string;
                info: string;
                verbose: string;
                debug: string;
                silly: string;
            };
        };
        SysLogLevels: {
            levels: {
                emerg: number;
                alert: number;
                crit: number;
                error: number;
                warning: number;
                notice: number;
                info: number;
                debug: number;
            };
            colors: {
                emerg: string;
                alert: string;
                crit: string;
                error: string;
                warning: string;
                notice: string;
                info: string;
                debug: string;
            };
        };
    };
    Errors: {
        ArchDevLoggerError: typeof ArchDevLoggerError;
        UndefinedDefaultLoggerError: typeof UndefinedDefaultLoggerError;
    };
    Services: {
        LoggerService: typeof LoggerService;
    };
    ExtensibleLogger: typeof ExtensibleLogger;
    GlobalLoggerService: LoggerService;
};
