export declare class LoggerService {
    private Registry;
    constructor(options?: {
        useInstanceCache?: boolean;
    });
    static fromFile(configFile: string): LoggerService;
    configure(config?: {
        defaultLogger?: {
            logger: string;
            properties?: any;
        };
        loggerModules?: {
            logger: string;
            module: {
                type: string;
                resource: string;
                options?: any;
            };
        }[];
        loggerSetups?: {
            name: string;
            type: string;
            logger?: string;
            properties?: any;
        }[];
    }): void;
    getDefaultLogger(): {
        logger: string;
        properties?: any;
    };
    setDefaultLogger(logger: string, properties?: any): void;
    getLoggerModule(logger: string): any;
    setLoggerModule(logger: string, LoggerModule: any): void;
    hasLoggerModule(logger: string): boolean;
    getLoggerSetup(name: string, type: string): {
        name: string;
        type: string;
        logger: string;
        properties: any;
    } | {
        name?: undefined;
        type?: undefined;
        logger?: undefined;
        properties?: undefined;
    };
    setLoggerSetup(name: string, type: string, logger?: string, properties?: any): void;
    hasLoggerSetup(name: string, type: string): boolean;
    resolveDefaultLogger(name: string, type: string, properties?: any): any;
    resolveLogger(name: string, type: string): any;
}
